import express from 'express';
import corsMiddleware from 'cors';
import { OptionsJson } from 'body-parser';
import { ApolloServerBase } from 'apollo-server-core';
export interface ServerRegistration {
    app: express.Application;
    server: ApolloServerBase<express.Request>;
    path?: string;
    cors?: corsMiddleware.CorsOptions;
    bodyParserConfig?: OptionsJson;
    onHealthCheck?: (req: express.Request) => Promise<any>;
    disableHealthCheck?: boolean;
    uploads?: boolean | Record<string, any>;
}
export declare const registerServer: ({ app, server, path, cors, bodyParserConfig, disableHealthCheck, onHealthCheck, uploads, }: ServerRegistration) => Promise<void>;
